App::Pinto::Command::clean(3pm)

NAME
App::Pinto::Command::clean - remove orphaned distribution archives

VERSION
version 0.14

SYNOPSIS
  pinto --root=REPOSITORY_ROOT clean

DESCRIPTION
The database for Pinto is transactional, so failures and aborted commands do not change the indexes. However, the filesystem where distribution archives are physically stored is not transactional and may become cluttered with archives that are not in the database.

Normally, Pinto tries to clean up those orphaned archives. But in some cases it might not. Running this command will force their removal.

This command also runs some optimizations on the database. So if your repository seems to be running slowly, try running this command to see if performance improves.

COMMAND ARGUMENTS
None.

COMMAND OPTIONS
None.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.